=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2006-01-24 20:42:15 +0000
+++ bzrlib/tests/test_transform.py	2006-01-26 00:43:03 +0000
@@ -343,6 +343,20 @@
         transform.version_file('new-root', new_root)
         transform.apply()
 
+    def test_renames(self):
+        create, root = self.get_transform()
+        old = create.new_directory('old-parent', root, 'old-id')
+        intermediate = create.new_directory('intermediate', old, 'im-id')
+        myfile = create.new_file('myfile', intermediate, 'myfile-text',
+                                 'myfile-id')
+        create.apply()
+        rename, root = self.get_transform()
+        old = rename.get_trans_id('old-id')
+        rename.adjust_path('new', root, old)
+        myfile = rename.get_trans_id('myfile-id')
+        rename.set_executability(True, myfile)
+        rename.apply()
+
 
 class TransformGroup(object):
     def __init__(self, dirname):

